Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 262)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 263)
@@ -2335,12 +2340,12 @@
           nc_stat = NF90_DEF_DIM( id_set_pr, 'time', NF90_UNLIMITED, &
                                   id_dim_time_pr )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 220 )
+          CALL handle_netcdf_error( 'netcdf', 220 )
 
           nc_stat = NF90_DEF_VAR( id_set_pr, 'time', NF90_DOUBLE, &
                                   id_dim_time_pr, id_var_time_pr )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 221 )
+          CALL handle_netcdf_error( 'netcdf', 221 )
 
           nc_stat = NF90_PUT_ATT( id_set_pr, id_var_time_pr, 'units', 'seconds')
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 222 )
+          CALL handle_netcdf_error( 'netcdf', 222 )
 
 !
@@ -2359,15 +2364,14 @@
                 nc_stat = NF90_DEF_DIM( id_set_pr, 'z'//TRIM(netcdf_var_name), &
                                         nzt+2-nzb, id_dim_z_pr(i,0) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 223 )
+                CALL handle_netcdf_error( 'netcdf', 223 )
 
                 nc_stat = NF90_DEF_VAR( id_set_pr, 'z'//TRIM(netcdf_var_name), &
                                         NF90_DOUBLE, id_dim_z_pr(i,0),         &
                                         id_var_z_pr(i,0) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 224 )
+                CALL handle_netcdf_error( 'netcdf', 224 )
 
                 nc_stat = NF90_PUT_ATT( id_set_pr, id_var_z_pr(i,0), 'units', &
                                         'meters' )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 225 )
-
+                CALL handle_netcdf_error( 'netcdf', 225 )
 !
 !--             Define the variable
@@ -2375,13 +2379,13 @@
                                         nc_precision(5), (/ id_dim_z_pr(i,0), &
                                         id_dim_time_pr /), id_var_dopr(i,0) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 226 )
+                CALL handle_netcdf_error( 'netcdf', 226 )
 
                 nc_stat = NF90_PUT_ATT( id_set_pr, id_var_dopr(i,0), &
                                         'long_name', TRIM( data_output_pr(i) ) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 227 )
+                CALL handle_netcdf_error( 'netcdf', 227 )
 
                 nc_stat = NF90_PUT_ATT( id_set_pr, id_var_dopr(i,0), &
                                         'units', TRIM( dopr_unit(i) ) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 228 )
+                CALL handle_netcdf_error( 'netcdf', 228 )
 
                 var_list = TRIM(var_list) // TRIM(netcdf_var_name) // ';'
@@ -2399,5 +2403,5 @@
                                            'z'//TRIM(netcdf_var_name)//suffix, &
                                            nzt+2-nzb, id_dim_z_pr(i,j) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 229 )
+                   CALL handle_netcdf_error( 'netcdf', 229 )
 
                    nc_stat = NF90_DEF_VAR( id_set_pr,                          &
@@ -2405,9 +2409,9 @@
                                            nc_precision(5), id_dim_z_pr(i,j),  &
                                            id_var_z_pr(i,j) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 230 )
+                   CALL handle_netcdf_error( 'netcdf', 230 )
 
                    nc_stat = NF90_PUT_ATT( id_set_pr, id_var_z_pr(i,j), &
                                            'units', 'meters' )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 231 )
+                   CALL handle_netcdf_error( 'netcdf', 231 )
 
 !
@@ -2418,5 +2422,5 @@
                                            (/ id_dim_z_pr(i,j),               &
                                            id_dim_time_pr /), id_var_dopr(i,j) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 232 )
+                   CALL handle_netcdf_error( 'netcdf', 232 )
 
                    nc_stat = NF90_PUT_ATT( id_set_pr, id_var_dopr(i,j),        &
@@ -2424,9 +2428,9 @@
                                            TRIM( data_output_pr(i) ) // ' SR ' &
                                            // suffix(2:2) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 233 )
+                   CALL handle_netcdf_error( 'netcdf', 233 )
 
                    nc_stat = NF90_PUT_ATT( id_set_pr, id_var_dopr(i,j), &
                                            'units', TRIM( dopr_unit(i) ) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 234 )
+                   CALL handle_netcdf_error( 'netcdf', 234 )
 
                    var_list = TRIM(var_list) // TRIM(netcdf_var_name) // &
@@ -2443,5 +2447,5 @@
 !--       restart runs)
           nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'VAR_LIST', var_list )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 235 )
+          CALL handle_netcdf_error( 'netcdf', 235 )
 
 !
@@ -2453,10 +2457,10 @@
                                      nc_precision(5), (/ id_dim_time_pr /), &
                                      id_var_norm_dopr(i) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 236 )
+             CALL handle_netcdf_error( 'netcdf', 236 )
 
              nc_stat = NF90_PUT_ATT( id_set_pr, id_var_norm_dopr(i), &
                                      'long_name',                    &
                                      TRIM( dopr_norm_longnames(i) ) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 237 )
+             CALL handle_netcdf_error( 'netcdf', 237 )
 
           ENDDO
@@ -2465,5 +2469,5 @@
 !--       Leave NetCDF define mode
           nc_stat = NF90_ENDDEF( id_set_pr )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 238 )
+          CALL handle_netcdf_error( 'netcdf', 238 )
 
 !
@@ -2476,5 +2480,5 @@
                                         start = (/ 1 /),                  &
                                         count = (/ nzt-nzb+2 /) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 239 )
+                CALL handle_netcdf_error( 'netcdf', 239 )
 
              ENDDO
@@ -2491,5 +2495,5 @@
           nc_stat = NF90_GET_ATT( id_set_pr, NF90_GLOBAL, 'VAR_LIST', &
                                   var_list_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 240 )
+          CALL handle_netcdf_error( 'netcdf', 240 )
 
           var_list = ';'
@@ -2528,14 +2532,14 @@
 !--       on the file.
           nc_stat = NF90_INQ_VARID( id_set_pr, 'time', id_var_time_pr )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 241 )
+          CALL handle_netcdf_error( 'netcdf', 241 )
 
           nc_stat = NF90_INQUIRE_VARIABLE( id_set_pr, id_var_time_pr, &
                                            dimids = id_dim_time_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 242 )
+          CALL handle_netcdf_error( 'netcdf', 242 )
           id_dim_time_pr = id_dim_time_old(1)
 
           nc_stat = NF90_INQUIRE_DIMENSION( id_set_pr, id_dim_time_pr, &
                                             len = dopr_time_count )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 243 )
+          CALL handle_netcdf_error( 'netcdf', 243 )
 
           nc_stat = NF90_GET_VAR( id_set_pr, id_var_time_pr,        &
@@ -2543,5 +2547,5 @@
                                   start = (/ dopr_time_count /), &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 244 )
+          CALL handle_netcdf_error( 'netcdf', 244 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
@@ -2571,5 +2575,5 @@
                 nc_stat = NF90_INQ_VARID( id_set_pr, netcdf_var_name_base, &
                                           id_var_dopr(i,0) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 245 )
+                CALL handle_netcdf_error( 'netcdf', 245 )
              ELSE
                 DO  j = 0, statistic_regions
@@ -2578,5 +2582,5 @@
                    nc_stat = NF90_INQ_VARID( id_set_pr, netcdf_var_name, &
                                              id_var_dopr(i,j) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 246 )
+                   CALL handle_netcdf_error( 'netcdf', 246 )
                 ENDDO
              ENDIF
@@ -2590,5 +2594,5 @@
                                        'NORM_' // TRIM( dopr_norm_names(i) ), &
                                        id_var_norm_dopr(i) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 247 )
+             CALL handle_netcdf_error( 'netcdf', 247 )
           ENDDO
 
@@ -2597,5 +2601,5 @@
           nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 248 )
+          CALL handle_netcdf_error( 'netcdf', 248 )
           message_string = 'NetCDF file for vertical profiles ' // & 
                            'from previous run found.' //           &
@@ -2610,5 +2614,5 @@
           nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 249 )
+          CALL handle_netcdf_error( 'netcdf', 249 )
 
 !
@@ -2616,12 +2620,12 @@
           nc_stat = NF90_DEF_DIM( id_set_ts, 'time', NF90_UNLIMITED, &
                                   id_dim_time_ts )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 250 )
+          CALL handle_netcdf_error( 'netcdf', 250 )
 
           nc_stat = NF90_DEF_VAR( id_set_ts, 'time', NF90_DOUBLE, &
                                   id_dim_time_ts, id_var_time_ts )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 251 )
+          CALL handle_netcdf_error( 'netcdf', 251 )
 
           nc_stat = NF90_PUT_ATT( id_set_ts, id_var_time_ts, 'units', 'seconds')
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 252 )
+          CALL handle_netcdf_error( 'netcdf', 252 )
 
 !
@@ -2639,13 +2643,13 @@
                                         nc_precision(6), (/ id_dim_time_ts /), &
                                         id_var_dots(i,0) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 253 )
+                CALL handle_netcdf_error( 'netcdf', 253 )
 
                 nc_stat = NF90_PUT_ATT( id_set_ts, id_var_dots(i,0), &
                                         'long_name', TRIM( dots_label(i) ) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 254 )
+                CALL handle_netcdf_error( 'netcdf', 254 )
 
                 nc_stat = NF90_PUT_ATT( id_set_ts, id_var_dots(i,0), &
                                         'units', TRIM( dots_unit(i) ) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 255 )
+                CALL handle_netcdf_error( 'netcdf', 255 )
 
                 var_list = TRIM(var_list) // TRIM(netcdf_var_name) // ';'
@@ -2663,5 +2667,5 @@
                                            (/ id_dim_time_ts /),              &
                                            id_var_dots(i,j) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 256 )
+                   CALL handle_netcdf_error( 'netcdf', 256 )
 
                    nc_stat = NF90_PUT_ATT( id_set_ts, id_var_dots(i,j),       &
@@ -2669,5 +2673,5 @@
                                            TRIM( dots_label(i) ) // ' SR ' // &
                                            suffix(2:2) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 257 )
+                   CALL handle_netcdf_error( 'netcdf', 257 )
 
                    var_list = TRIM(var_list) // TRIM(netcdf_var_name) // &
@@ -2684,10 +2688,10 @@
 !--       restart runs)
           nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'VAR_LIST', var_list )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 258 )
+          CALL handle_netcdf_error( 'netcdf', 258 )
 
 !
 !--       Leave NetCDF define mode
           nc_stat = NF90_ENDDEF( id_set_ts )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 259 )
+          CALL handle_netcdf_error( 'netcdf', 259 )
 
 
@@ -2701,5 +2705,5 @@
           nc_stat = NF90_GET_ATT( id_set_ts, NF90_GLOBAL, 'VAR_LIST', &
                                   var_list_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 260 )
+          CALL handle_netcdf_error( 'netcdf', 260 )
 
           var_list = ';'
@@ -2739,14 +2743,14 @@
 !--       on the file.
           nc_stat = NF90_INQ_VARID( id_set_ts, 'time', id_var_time_ts )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 261 )
+          CALL handle_netcdf_error( 'netcdf', 261 )
 
           nc_stat = NF90_INQUIRE_VARIABLE( id_set_ts, id_var_time_ts, &
                                            dimids = id_dim_time_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 262 )
+          CALL handle_netcdf_error( 'netcdf', 262 )
           id_dim_time_ts = id_dim_time_old(1)
 
           nc_stat = NF90_INQUIRE_DIMENSION( id_set_ts, id_dim_time_ts, &
                                             len = dots_time_count )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 263 )
+          CALL handle_netcdf_error( 'netcdf', 263 )
 
           nc_stat = NF90_GET_VAR( id_set_ts, id_var_time_ts,        &
@@ -2754,5 +2758,5 @@
                                   start = (/ dots_time_count /), &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 264 )
+          CALL handle_netcdf_error( 'netcdf', 264 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
@@ -2782,5 +2786,5 @@
                 nc_stat = NF90_INQ_VARID( id_set_ts, netcdf_var_name_base, &
                                           id_var_dots(i,0) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 265 )
+                CALL handle_netcdf_error( 'netcdf', 265 )
              ELSE
                 DO  j = 0, statistic_regions
@@ -2789,5 +2793,5 @@
                    nc_stat = NF90_INQ_VARID( id_set_ts, netcdf_var_name, &
                                              id_var_dots(i,j) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 266 )
+                   CALL handle_netcdf_error( 'netcdf', 266 )
                 ENDDO
              ENDIF
@@ -2799,5 +2803,5 @@
           nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 267 )
+          CALL handle_netcdf_error( 'netcdf', 267 )
           message_string = 'NetCDF file for time series ' // & 
                            'from previous run found.' //     &
@@ -2816,5 +2820,5 @@
                                      TRIM( run_description_header ) // &
                                      TRIM( time_average_text ) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 268 )
+             CALL handle_netcdf_error( 'netcdf', 268 )
 
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval_sp
@@ -2825,5 +2829,5 @@
                                      TRIM( run_description_header ) )
           ENDIF
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 269 )
+          CALL handle_netcdf_error( 'netcdf', 269 )
 
 !
@@ -2831,12 +2835,12 @@
           nc_stat = NF90_DEF_DIM( id_set_sp, 'time', NF90_UNLIMITED, &
                                   id_dim_time_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 270 )
+          CALL handle_netcdf_error( 'netcdf', 270 )
 
           nc_stat = NF90_DEF_VAR( id_set_sp, 'time', NF90_DOUBLE, &
                                   id_dim_time_sp, id_var_time_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 271 )
+          CALL handle_netcdf_error( 'netcdf', 271 )
 
           nc_stat = NF90_PUT_ATT( id_set_sp, id_var_time_sp, 'units', 'seconds')
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 272 )
+          CALL handle_netcdf_error( 'netcdf', 272 )
 
 !
@@ -2853,48 +2857,48 @@
 !--       Define vertical coordinate grid (zu grid)
           nc_stat = NF90_DEF_DIM( id_set_sp, 'zu_sp', ns, id_dim_zu_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 273 )
+          CALL handle_netcdf_error( 'netcdf', 273 )
 
           nc_stat = NF90_DEF_VAR( id_set_sp, 'zu_sp', NF90_DOUBLE, &
                                   id_dim_zu_sp, id_var_zu_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 274 )
+          CALL handle_netcdf_error( 'netcdf', 274 )
 
           nc_stat = NF90_PUT_ATT( id_set_sp, id_var_zu_sp, 'units', 'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 275 )
+          CALL handle_netcdf_error( 'netcdf', 275 )
 
 !
 !--       Define vertical coordinate grid (zw grid)
           nc_stat = NF90_DEF_DIM( id_set_sp, 'zw_sp', ns, id_dim_zw_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 276 )
+          CALL handle_netcdf_error( 'netcdf', 276 )
 
           nc_stat = NF90_DEF_VAR( id_set_sp, 'zw_sp', NF90_DOUBLE, &
                                   id_dim_zw_sp, id_var_zw_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 277 )
+          CALL handle_netcdf_error( 'netcdf', 277 )
 
           nc_stat = NF90_PUT_ATT( id_set_sp, id_var_zw_sp, 'units', 'meters' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 278 )
+          CALL handle_netcdf_error( 'netcdf', 278 )
 
 !
 !--       Define x-axis
           nc_stat = NF90_DEF_DIM( id_set_sp, 'k_x', nx/2, id_dim_x_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 279 )
+          CALL handle_netcdf_error( 'netcdf', 279 )
 
           nc_stat = NF90_DEF_VAR( id_set_sp, 'k_x', NF90_DOUBLE, id_dim_x_sp, &
                                   id_var_x_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 280 )
+          CALL handle_netcdf_error( 'netcdf', 280 )
 
           nc_stat = NF90_PUT_ATT( id_set_sp, id_var_x_sp, 'units', 'm-1' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 281 )
+          CALL handle_netcdf_error( 'netcdf', 281 )
 
 !
 !--       Define y-axis
           nc_stat = NF90_DEF_DIM( id_set_sp, 'k_y', ny/2, id_dim_y_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 282 )
+          CALL handle_netcdf_error( 'netcdf', 282 )
 
           nc_stat = NF90_DEF_VAR( id_set_sp, 'k_y', NF90_DOUBLE, id_dim_y_sp, &
                                   id_var_y_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 283 )
+          CALL handle_netcdf_error( 'netcdf', 283 )
 
           nc_stat = NF90_PUT_ATT( id_set_sp, id_var_y_sp, 'units', 'm-1' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 284 )
+          CALL handle_netcdf_error( 'netcdf', 284 )
 
 !
@@ -2945,13 +2949,13 @@
                                            id_var_dospx(i) )
                 ENDIF
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 285 )
+                CALL handle_netcdf_error( 'netcdf', 285 )
 
                 nc_stat = NF90_PUT_ATT( id_set_sp, id_var_dospx(i), &
                                         'long_name', netcdf_var_name )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 286 )
+                CALL handle_netcdf_error( 'netcdf', 286 )
 
                 nc_stat = NF90_PUT_ATT( id_set_sp, id_var_dospx(i), &
                                         'units', 'unknown' )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 287 )
+                CALL handle_netcdf_error( 'netcdf', 287 )
 
                 var_list = TRIM( var_list ) // TRIM( netcdf_var_name ) // ';'
@@ -2976,13 +2980,13 @@
                                            id_var_dospy(i) )
                 ENDIF
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 288 )
+                CALL handle_netcdf_error( 'netcdf', 288 )
 
                 nc_stat = NF90_PUT_ATT( id_set_sp, id_var_dospy(i), &
                                         'long_name', netcdf_var_name )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 289 )
+                CALL handle_netcdf_error( 'netcdf', 289 )
 
                 nc_stat = NF90_PUT_ATT( id_set_sp, id_var_dospy(i), &
                                         'units', 'unknown' )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 290 )
+                CALL handle_netcdf_error( 'netcdf', 290 )
 
                 var_list = TRIM( var_list ) // TRIM( netcdf_var_name ) // ';'
@@ -2998,10 +3002,10 @@
 !--       restart runs)
           nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'VAR_LIST', var_list )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 291 )
+          CALL handle_netcdf_error( 'netcdf', 291 )
 
 !
 !--       Leave NetCDF define mode
           nc_stat = NF90_ENDDEF( id_set_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 292 )
+          CALL handle_netcdf_error( 'netcdf', 292 )
 
 !
@@ -3014,5 +3018,5 @@
           nc_stat = NF90_PUT_VAR( id_set_sp, id_var_zu_sp, netcdf_data, &
                                   start = (/ 1 /), count = (/ ns /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 293 )
+          CALL handle_netcdf_error( 'netcdf', 293 )
 
 !
@@ -3021,5 +3025,5 @@
           nc_stat = NF90_PUT_VAR( id_set_sp, id_var_zw_sp, netcdf_data, &
                                   start = (/ 1 /), count = (/ ns /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 294 )
+          CALL handle_netcdf_error( 'netcdf', 294 )
 
           DEALLOCATE( netcdf_data )
@@ -3034,5 +3038,5 @@
           nc_stat = NF90_PUT_VAR( id_set_sp, id_var_x_sp, netcdf_data, &
                                   start = (/ 1 /), count = (/ nx/2 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 295 )
+          CALL handle_netcdf_error( 'netcdf', 295 )
 
           DEALLOCATE( netcdf_data )
@@ -3045,5 +3049,5 @@
           nc_stat = NF90_PUT_VAR( id_set_sp, id_var_y_sp, netcdf_data, &
                                   start = (/ 1 /), count = (/ ny/2 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 296 )
+          CALL handle_netcdf_error( 'netcdf', 296 )
 
           DEALLOCATE( netcdf_data )
@@ -3059,6 +3063,5 @@
           nc_stat = NF90_GET_ATT( id_set_sp, NF90_GLOBAL, 'VAR_LIST', &
                                   var_list_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 297 )
-
+          CALL handle_netcdf_error( 'netcdf', 297 )
           var_list = ';'
           i = 1
@@ -3102,14 +3105,14 @@
 !--       Get and compare the number of vertical levels
           nc_stat = NF90_INQ_VARID( id_set_sp, 'zu_sp', id_var_zu_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 298 )
+          CALL handle_netcdf_error( 'netcdf', 298 )
 
           nc_stat = NF90_INQUIRE_VARIABLE( id_set_sp, id_var_zu_sp, &
                                            dimids = id_dim_zu_sp_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 299 )
+          CALL handle_netcdf_error( 'netcdf', 299 )
           id_dim_zu_sp = id_dim_zu_sp_old(1)
 
           nc_stat = NF90_INQUIRE_DIMENSION( id_set_sp, id_dim_zu_sp, &
                                             len = ns_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 300 )
+          CALL handle_netcdf_error( 'netcdf', 300 )
 
           IF ( ns /= ns_old )  THEN
@@ -3130,5 +3133,5 @@
 
           nc_stat = NF90_GET_VAR( id_set_sp, id_var_zu_sp, netcdf_data )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 301 )
+          CALL handle_netcdf_error( 'netcdf', 301 )
 
           DO  i = 1, ns
@@ -3154,14 +3157,14 @@
 !--       on the file.
           nc_stat = NF90_INQ_VARID( id_set_sp, 'time', id_var_time_sp )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 302 )
+          CALL handle_netcdf_error( 'netcdf', 302 )
 
           nc_stat = NF90_INQUIRE_VARIABLE( id_set_sp, id_var_time_sp, &
                                            dimids = id_dim_time_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 303 )
+          CALL handle_netcdf_error( 'netcdf', 303 )
           id_dim_time_sp = id_dim_time_old(1)
 
           nc_stat = NF90_INQUIRE_DIMENSION( id_set_sp, id_dim_time_sp, &
                                             len = dosp_time_count )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 304 )
+          CALL handle_netcdf_error( 'netcdf', 304 )
 
           nc_stat = NF90_GET_VAR( id_set_sp, id_var_time_sp,        &
@@ -3169,5 +3172,5 @@
                                   start = (/ dosp_time_count /), &
                                   count = (/ 1 /) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 305 )
+          CALL handle_netcdf_error( 'netcdf', 305 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
@@ -3195,5 +3198,5 @@
                 nc_stat = NF90_INQ_VARID( id_set_sp, netcdf_var_name, &
                                           id_var_dospx(i) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 306 )
+                CALL handle_netcdf_error( 'netcdf', 306 )
              ENDIF
 
@@ -3202,5 +3205,5 @@
                 nc_stat = NF90_INQ_VARID( id_set_sp, netcdf_var_name, &
                                           id_var_dospy(i) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 307 )
+                CALL handle_netcdf_error( 'netcdf', 307 )
              ENDIF
 
@@ -3217,5 +3220,5 @@
                                      TRIM( run_description_header ) // &
                                      TRIM( time_average_text ) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 308 )
+             CALL handle_netcdf_error( 'netcdf', 308 )
 
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval_sp
@@ -3226,5 +3229,5 @@
                                      TRIM( run_description_header ) )
           ENDIF
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 309 )
+          CALL handle_netcdf_error( 'netcdf', 309 )
           message_string = 'NetCDF file for spectra ' //     & 
                            'from previous run found.' //     &
@@ -3239,5 +3242,5 @@
           nc_stat = NF90_PUT_ATT( id_set_prt, NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 310 )
+          CALL handle_netcdf_error( 'netcdf', 310 )
 
 !
@@ -3245,13 +3248,13 @@
           nc_stat = NF90_DEF_DIM( id_set_prt, 'time', NF90_UNLIMITED, &
                                   id_dim_time_prt )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 311 )
+          CALL handle_netcdf_error( 'netcdf', 311 )
 
           nc_stat = NF90_DEF_VAR( id_set_prt, 'time', NF90_DOUBLE, &
                                   id_dim_time_prt, id_var_time_prt )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 312 )
+          CALL handle_netcdf_error( 'netcdf', 312 )
 
           nc_stat = NF90_PUT_ATT( id_set_prt, id_var_time_prt, 'units', &
                                   'seconds' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 313 )
+          CALL handle_netcdf_error( 'netcdf', 313 )
 
 !
@@ -3259,13 +3262,13 @@
           nc_stat = NF90_DEF_DIM( id_set_prt, 'particle_number', &
                                   maximum_number_of_particles, id_dim_prtnum )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 314 )
+          CALL handle_netcdf_error( 'netcdf', 314 )
 
           nc_stat = NF90_DEF_VAR( id_set_prt, 'particle_number', NF90_DOUBLE, &
                                   id_dim_prtnum, id_var_prtnum )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 315 )
+          CALL handle_netcdf_error( 'netcdf', 315 )
 
           nc_stat = NF90_PUT_ATT( id_set_prt, id_var_prtnum, 'units', &
                                   'particle number' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 316 )
+          CALL handle_netcdf_error( 'netcdf', 316 )
 
 !
@@ -3273,9 +3276,9 @@
           nc_stat = NF90_DEF_VAR( id_set_prt, 'real_num_of_prt', NF90_INT, &
                                   id_dim_time_prt, id_var_rnop_prt )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 317 )
+          CALL handle_netcdf_error( 'netcdf', 317 )
 
           nc_stat = NF90_PUT_ATT( id_set_prt, id_var_rnop_prt, 'units', &
                                   'particle number' )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 318 )
+          CALL handle_netcdf_error( 'netcdf', 318 )
 
 !
@@ -3287,13 +3290,13 @@
                                      (/ id_dim_prtnum, id_dim_time_prt /), &
                                      id_var_prt(i) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 319 )
+             CALL handle_netcdf_error( 'netcdf', 319 )
 
              nc_stat = NF90_PUT_ATT( id_set_prt, id_var_prt(i), &
                                      'long_name', TRIM( prt_var_names(i) ) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 320 )
+             CALL handle_netcdf_error( 'netcdf', 320 )
 
              nc_stat = NF90_PUT_ATT( id_set_prt, id_var_prt(i), &
                                      'units', TRIM( prt_var_units(i) ) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 321 )
+             CALL handle_netcdf_error( 'netcdf', 321 )
 
           ENDDO
@@ -3302,5 +3305,5 @@
 !--       Leave NetCDF define mode
           nc_stat = NF90_ENDDEF( id_set_prt )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 322 )
+          CALL handle_netcdf_error( 'netcdf', 322 )
 
 
@@ -3313,14 +3316,14 @@
 !--       on the file.
           nc_stat = NF90_INQ_VARID( id_set_prt, 'time', id_var_time_prt )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 323 )
+          CALL handle_netcdf_error( 'netcdf', 323 )
 
           nc_stat = NF90_INQUIRE_VARIABLE( id_set_prt, id_var_time_prt, &
                                            dimids = id_dim_time_old )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 324 )
+          CALL handle_netcdf_error( 'netcdf', 324 )
           id_dim_time_prt = id_dim_time_old(1)
 
           nc_stat = NF90_INQUIRE_DIMENSION( id_set_prt, id_dim_time_prt, &
                                             len = prt_time_count )
-          IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 325 )
+          CALL handle_netcdf_error( 'netcdf', 325 )
 
           nc_stat = NF90_GET_VAR( id_set_prt, id_var_time_prt,  &
